<?php
/**
 * @package Bando
 */
/*
Plugin Name: Bản đồ online
Plugin URI: https://khuvucnao.com/
Description: Tích hợp bản đồ khuvucnao.com vào website của bạn.
Version: 1.0.0.1
Author: Khuvucnao
License: GPLv2 or later
Text Domain: Bando
*/
/*
{Plugin Name} is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
 
{Plugin Name} is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with {Plugin Name}. If not, see {URI to Plugin License}.
*/

// Make sure we don't expose any info if called directly
if ( !function_exists( 'add_action' ) ) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}

define( 'khuvucnao_VERSION', '3.3.2' );
define( 'khuvucnao__MINIMUM_WP_VERSION', '3.7' );
define( 'khuvucnao__PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
define( 'khuvucnao_DELETE_LIMIT', 100000 );

$resultAct = "";
add_action( 'admin_menu', 'khuvucnao_add_admin_menu' );
add_action( 'admin_init', 'bando1_settings_init' );
add_action('added_option', function( $option_name, $old_value, $value ) {
     echo "aaaaaaaaaaaa";
     $resultAct = "aaaaaaaaaaaa";
}, 10, 2);

function khuvucnao_add_admin_menu(  ) { 

	add_menu_page( 'bando-online', 'bando-online', 'manage_options', 'bando-online', 'khuvucnao_options_page' );

}


function bando1_settings_init(  ) {  

	register_setting( 'pluginPage', 'bando1_settings' );

	add_settings_section(
		'khuvucnao_pluginPage_section', 
		__( 'Tiện ích tích hợp bản đồ khuvucnao.com', 'https://khuvucnao.com' ), 
		'bando1_settings_section_callback', 
		'pluginPage'
	);



	add_settings_field( 
		'khuvucnao_text_field_1', 
		__( 'Tọa độ vị trí', 'https://khuvucnao.com' ), 
		'khuvucnao_text_field_1_render', 
		'pluginPage', 
		'khuvucnao_pluginPage_section' 
	);

	add_settings_field( 
		'khuvucnao_text_field_2', 
		__( 'Đường dẫn Home', 'https://khuvucnao.com' ), 
		'khuvucnao_text_field_2_render', 
		'pluginPage', 
		'khuvucnao_pluginPage_section' 
	);




}


function khuvucnao_text_field_1_render(  ) {  
	$defaultText = 'zoom=19&lon=105.95699787139894&lat=20.99267752502699';
    if ( get_option( 'bando1_settings' ) === false ){ // Nothing yet saved
        
    }else{
        $options = get_option( 'bando1_settings' );
        $defaultText = $options['khuvucnao_text_field_1'];
    }
	?>
	<input type='text' name='bando1_settings[khuvucnao_text_field_1]' value='<?php echo $defaultText; ?>'>
	<?php

}


function khuvucnao_text_field_2_render(  ) {
    $defaultText = '/index.php';
    if ( get_option( 'bando1_settings' ) === false ){ // Nothing yet saved
        
    }else{
        $options = get_option( 'bando1_settings' );
        $defaultText = $options['khuvucnao_text_field_2'];
    }    
    ?>    
	<input type='text' name='bando1_settings[khuvucnao_text_field_2]' value='<?php echo $defaultText; ?>'>
	<?php

}



function bando1_settings_section_callback(  ) { 
	if ( get_option( 'bando1_settings' ) === false ){ // Nothing yet saved
        
    }else{
        $options = get_option( 'bando1_settings' );
        $fileTmp = 'tmp';
        $currentTmp = file_get_contents(dirname(__FILE__) . '/' . $fileTmp);
        $currentTmp = str_replace('{maplocation}',   $options['khuvucnao_text_field_1'], $currentTmp);
        $currentTmp = str_replace("{domain}",   get_home_url(), $currentTmp);
        $currentTmp = str_replace("{home}",   $options['khuvucnao_text_field_2'], $currentTmp);
        
        file_put_contents(get_home_path() . '/bando-online.php', $currentTmp);
    ?>
	Bản đồ được tạo tại: <a target="_blank" href="<?php echo get_home_url(); ?>/bando-online.php"><strong style="color: red;"><?php echo get_home_url(); ?>/bando-online.php</strong></a>
	    <br>
	    Để tạo các bài viết cho bản đồ hãy tạo bài viết với đường dẫn <?php echo get_home_url(); ?>/{mã địa điểm}
	<?php
	 
    }
}


function khuvucnao_options_page(  ) { 

		?>
		<form action='options.php' method='post'>

			<h2>Bản đồ Online</h2>

			<?php
			settings_fields( 'pluginPage' );
			do_settings_sections( 'pluginPage' );
			submit_button();
			?>

		</form>
		<?php

}
